<?php
namespace HCM\FPA\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;
use HCM\Util\HCMParameters;

class CNABRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }


    public function deletaMagneticos($nrorg, $nrTpMov, $nrBanco, $competencia) {

        $query = $this->entityManager->getConnection()->prepare("
            DELETE FROM FPA_CNABMAGNET WHERE NRORG = :P_NRORG AND CDBANCO = :P_NRBANCO AND MESCOMPETENCIA = :P_DTMESCOMPETENC AND NRTIPOMOVIMENT = :P_NRTIPOMOVIMENT
        ");

        $query->execute(array(          
            'P_DTMESCOMPETENC' => $competencia, 
            'P_NRTIPOMOVIMENT' => $nrTpMov, 
            'P_NRBANCO'        => $nrBanco, 
            'P_NRORG'          => $nrorg
            )
        );
    }
}
